ru.bitel.bgbilling.modules.yamoney.common.service

## Interface YamoneyService

- All Superinterfaces:
    PaymentServiceProvider

      public interface YamoneyService
      extends PaymentServiceProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkTransaction(java.lang.String yandexId)`
    `void` | `doManualAutopayment(int contractId, java.math.BigDecimal sum)` Ручной автоплатеж
    `SearchResult<Autopayment>` | `searchAutopaymentList(int contractId, Period period, java.lang.String[] sort, Page page)` Возращает историю изменения автоплатежей на договоре
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, Period period, java.lang.String[] sort, Page page)`

    - ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

      `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- - ### Method Detail

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkTransaction

          void checkTransaction(java.lang.String yandexId)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchAutopaymentList

          SearchResult<Autopayment> searchAutopaymentList(int contractId,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Возращает историю изменения автоплатежей на договоре
      Parameters:
        `contractId` -
        `period` -
        `sort` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doManualAutopayment

          void doManualAutopayment(int contractId,
                                   java.math.BigDecimal sum)
                            throws ru.bitel.bgbilling.common.BGException

      Ручной автоплатеж
      Parameters:
        `contractId` -
        `sum` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`